Thanks, all. This is exactly what I needed.
Posts
-
RE: User input controlling sub-sub-components within a DC?
-
Counting sub-components in a DC
Hi -
Is there a function I can use to count sub-components in a DC?
I wish there were something like
=COUNTIF(Component!Element1)
Where Component is the top-level DC, and Element1 is a subcomponent that is repeated many times within the dynamic component.
-
Okino Import/Export for SketchUp to almost anything?
Does anyone have experience using the Okino file converter for SketchUp?
-
RE: If statement issue with # divided by -0
Hi David -
I've noticed that sometimes, if the very first time a formula is assessed, the result is zero, I get an error. I don't know if this could be the issue here.
If n=1, does the formula return zero?
My work around is to write a formula that never returns zero, and then let the DC evaluate it. Once it has accepted a non-zero value, I can edit the formula to allow a zero value, and it seems to work fine. (An example of when this comes up is a RotX, RotY, or RotZ value that is set by a user input box; I initially get an error if the value in the box is zero, but if I start with a non-zero value in the user input box when I create the formula in the RotY attribute, it works fine, even if I set it back to zero.)
I don't know if this is related to what you're doing here, but it may be worth a shot if you have the result of the formula set to zero when n=1.
-
User input controlling sub-sub-components within a DC?
Hi -
Is it possible to set a user input box on a DC to control sub or sub-sub components within that DC?
I have to admit, I haven't searched extensively for a way to do this, but the answer isn't clear to me based on the little DC work I've done.
I've watched the "repeat" DC tutorial, where a fence is scaled at the sub-component (fence slat) is repeated.
I'd like to do something like that, but also control the rotating of the sub-component.
Imagine that I want to create a dynamic component, which has a fence rail, and fence slats. I want the fence slats to repeat on a set spacing, and I want the user to control the rotating of the fence slat about one of the fence rails.
Was I clear enough that someone could comment?
-
RE: 3D Basecamp 2010!!!!!
Whoa! How did I miss this topic going from two posts to five pages!!?
Let me make my intention clear:
I would love to represent one of many solar and renewable energy designers who are finding SketchUp to be the perfect tool for design and analysis.
If anyone has a nomination for a relative newbie to ruby, but a seasoned geek and thorough enthusiast, it won't be wasted on me.
-
RE: A line doesn't match with the model that I inserted
Hi Sunny -
It looks like you are trying to get the highlighted line in LayOut to align perfectly with the line on your sketchup model viewport. Is this correct?
It also sounds like you are using "snap to grid" as a method for aligning the objects. I would suggest turning off "snap to grid" and turning on "snap to objects". I think this will allow you to draw or move your line so it is exactly aligned with the points you want on your sketchup model.
-
RE: The "Duh!" thread (aka the Doh! thread)
Hmm. Strange. I'm able to create hidden and soft lines (I use hidden lines regularly).
But if I create two cylinders, just as you have, the hidden line version behaves exactly the same as the soft lines version (sketchup displays the sides as one big face, unless I display "hidden lines" then I can select each face individually).
Also, my hidden line cylinder looks identical to the soft line cylinder.
Can anyone comment on the intent behind creating these two different line styles? What is the "suggested" or intended use for each?
-
RE: The "Duh!" thread (aka the Doh! thread)
@unknownuser said:
Left is Hidden, right is softened...
Other than appearance, is there a difference in how the two behave?
(I'm slow to Doh! on this one )
-
RE: The "Duh!" thread (aka the Doh! thread)
here's one:
what's the difference between the "soften" and "hide" commands for lines?
-
RE: Using an observer to delete a screen note
Hi Dan -
Thank you for the rant; this is very helpful information for ruby explorers like myself.
Let me ask you a question about namespaces:
If I have two scripts in my plugin folder, which use the same namespace definition, they are essentially in the same "space," correct?
-
RE: Using an observer to delete a screen note
@unknownuser said:
I made it that way and it works:
shadowtime_on_screen = [sunrise..sunset] for hour in sunrise..sunset time = Time.gm(2010,month,day,hour,minute,00) shadowinfo["ShadowTime"]= time shadowinfo["DisplayShadows"]= true shadowtime_on_screen[hour] = Sketchup.active_model.add_note (shadInf.shadowtimetxt,0.1,0.2) shadowtime_on_screen[hour].hidden = true end for hour in sunrise..sunset time = Time.gm(2010,month,day,hour,minute,00) shadowinfo["ShadowTime"]= time shadowtime_on_screen[hour].hidden = false page = Sketchup.active_model.pages.add time.strftime("%d %b %H;%M Uhr") shadowtime_on_screen[hour].hidden = true page.delay_time= 0 page.transition_time= 3 end
Is this code ready to execute through the console or webconsole? I get an "undefined local variable" error for sunrise when I evaluate it.
What I'd like to do is merge your code, above, with this script (Chris essentially wrote this, and I have simply tweeked it to suit my needs):
I'm not as concerned with sunrise and sunset, if those values are used in your script. I prefer to set the start and stop times myself, and create the screen notes associated with the times and intervals I have chosen.model = Sketchup.active_model si = model.shadow_info ps = model.pages si["DisplayShadows"]= true #set the year, month, day, and time of first shading scene as follows; (year,month,day,hour,min,sec) t = Time.gm(2010,"dec",1,9,0,0).to_i #set number of days to repeat 31.times do |day| si["ShadowTime_time_t"]=t page = ps.add #set scenes to save camera position (true or false) status = page.use_camera=false #set scene transition time to 0 from PM of previous day to AM of next day page.transition_time = 0.0 #set hours from first scene for day until second scene for the same day (sec*min*hours) t= t+(60 * 60 * 6) si["ShadowTime_time_t"]=t page = ps.add status = page.use_camera=false page.transition_time = -1 #set hours from second scene for day, until first scene of next day (sec*min*hours) t= t+(60 * 60 * 18) end
-
RE: Using an observer to delete a screen note
Call me unambitious, but I'm back to the strategy of placing the screen note on each scene, and hiding it on all the others. It would work for my workflow, and it seems digestible for me.
I could then use the standard "export to animation" function to either jpg or avi, and (I think) it would come out as expected.
-
RE: Using an observer to delete a screen note
@chris fullmer said:
It really is not all that difficult to make your script export a series of jpgs that can then turned into a movie (its more dificult for the user though ). But if you feel that is an option, you could try writing your own export method and then you can update the screen text for each frame easily that way.
Chris
"Difficult" being a relative term here.
-
RE: OpenStudio 1.0.5 in three minutes - YouTube link
Hi David -
Thanks for the detailed response. I'll go through the workflow and see what I can do.
-
RE: The "Duh!" thread (aka the Doh! thread)
@xrok1 said:
i think the biggest duh moment of all that everbody (hopfully) goes through is realizing that it matters which way the faces are oriented.
90% of the 3dwarehouse posters still havn't had that duh moment.
...ok, I'd better ask, because my mind is blank after reading this.
What do you mean, "it matters which way the faces are oriented"?
This is either something I know, in different terms, or something I don't know at all.
-
RE: Using an observer to delete a screen note
I, for one, have decided that I have a knack for attempting the most complicated tasks as my "test project" in a new area.
Matthias: I'm sorry that you got so far before realizing the issue with the shadowinfo_observer. This is a lesson that I've learned too many times: test code at the smallest possible snippets, and verify it's functionality individually before putting it all together into a larger code block.
-
RE: OpenStudio 1.0.5 in three minutes - YouTube link
Nice video - thanks for the link.
-
RE: Sun elevation and azimut
Regarding the solar elevation (I'm guessing you mean the "incident" angle of the sun with respect to the ground) and azimuth angle... I believe these values could be derived from the SunDirection as described by thomthom.
-
RE: Scrapbook symbols are hidden behind model once inserted
...could the scrapbook images be on a layer which is below the SketchUp model's viewport?